# Колпачный фреймворк для ВКонтакте
Развивается как многопоточный фреймворк с поддержкой всех возможностей API ВКонтакте, а так же не добавленных, но необходимых функций, работу с большим количеством роботов под разными сессиями, поддерживающий PSR-спецификацию и полностью покрытый тестами

### Установка:
```sh
$ composer install mirzaev/vk
```
### Пример использования:
```php
use mirzaev\vk\core;
use mirzaev\accounts\vk;

// Подключение библеотек
require_once './vendor/autoload.php';

// Инициализация ядра
$core = core::init();

// Инициализация менеджера аккаунтов ВКонтакте
$vk = new vk(ACCOUNT_ID);

// Инициализация аккаунта ВКонтакте
$account = $vk->auth(ACCOUNT_LOGIN, ACCOUNT_PASSWORD)->key(PROJECT_KEY);

// Инициализация робота-группы
$robot = $core->group($account);

// Отправка сообщения
$robot->message(RECEIVER_ID, 'Привет, я создал робота!');
```
